Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 1319)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -46,31 +52,4 @@
 ! outflow damping layer removed
 ! kmym_x/_y and kmyp_x/_y change to kmym and kmyp
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
-! 366 2009-08-25 08:06:27Z raasch
-! bc_ns replaced by bc_ns_cyc
-!
-! 106 2007-08-16 14:30:26Z raasch
-! Momentumflux at top (uswst) included as boundary condition,
-! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! Wall functions now include diabatic conditions, call of routine wall_fluxes,
-! z0 removed from argument list, uxrp eliminated
-!
-! 20 2007-02-26 00:12:32Z raasch
-! Bugfix: ddzw dimensioned 1:nzt"+1"
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.15  2006/02/23 10:35:35  raasch
-! nzb_2d replaced by nzb_u_outer in horizontal diffusion and by nzb_u_inner
-! or nzb_diff_u, respectively, in vertical diffusion,
-! wall functions added for north and south walls, +z0 in argument list,
-! terms containing w(k-1,..) are removed from the Prandtl-layer equation
-! because they cause errors at the edges of topography
-! WARNING: loops containing the MAX function are still not properly vectorized!
 !
 ! Revision 1.1  1997/09/12 06:23:51  raasch
@@ -107,15 +86,31 @@
     SUBROUTINE diffusion_u
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, ddzw, km, tend, u, usws, uswst, v, w
+       
+       USE control_parameters,                                                 &
+           ONLY:  constant_top_momentumflux, topography, use_surface_fluxes,   &
+                  use_top_fluxes
+       
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddx2, ddy, fym, fyp, wall_u
+       
+       USE indices,                                                            &
+           ONLY:  nxl, nxlu, nxr, nyn, nys, nzb, nzb_diff_u, nzb_u_inner,      &
+                  nzb_u_outer, nzt, nzt_diff
+       
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  kmym, kmyp, kmzm, kmzp
-
-       REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs
+       INTEGER(iwp) ::  i     !: 
+       INTEGER(iwp) ::  j     !: 
+       INTEGER(iwp) ::  k     !: 
+       REAL(wp)     ::  kmym  !:
+       REAL(wp)     ::  kmyp  !:
+       REAL(wp)     ::  kmzm  !:
+       REAL(wp)     ::  kmzp  !:
+
+       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs  !: 
 
 !
@@ -123,5 +118,5 @@
 !--    if neccessary
        IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes( usvs, 1.0, 0.0, 0.0, 0.0, nzb_u_inner, &
+          CALL wall_fluxes( usvs, 1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, nzb_u_inner, &
                             nzb_u_outer, wall_u )
        ENDIF
@@ -134,18 +129,18 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmyp = 0.25 * &
+                kmyp = 0.25 *                                                  &
                        ( km(k,j,i)+km(k,j+1,i)+km(k,j,i-1)+km(k,j+1,i-1) )
-                kmym = 0.25 * &
+                kmym = 0.25 *                                                  &
                        ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
 
-                tend(k,j,i) = tend(k,j,i)                                    &
-                      & + 2.0 * (                                            &
-                      &           km(k,j,i)   * ( u(k,j,i+1) - u(k,j,i)   )  &
-                      &         - km(k,j,i-1) * ( u(k,j,i)   - u(k,j,i-1) )  &
-                      &         ) * ddx2                                     &
-                      & + ( kmyp * ( u(k,j+1,i) - u(k,j,i)     ) * ddy       &
-                      &   + kmyp * ( v(k,j+1,i) - v(k,j+1,i-1) ) * ddx       &
-                      &   - kmym * ( u(k,j,i) - u(k,j-1,i) ) * ddy           &
-                      &   - kmym * ( v(k,j,i) - v(k,j,i-1) ) * ddx           &
+                tend(k,j,i) = tend(k,j,i)                                      &
+                      & + 2.0 * (                                              &
+                      &           km(k,j,i)   * ( u(k,j,i+1) - u(k,j,i)   )    &
+                      &         - km(k,j,i-1) * ( u(k,j,i)   - u(k,j,i-1) )    &
+                      &         ) * ddx2                                       &
+                      & + ( kmyp * ( u(k,j+1,i) - u(k,j,i)     ) * ddy         &
+                      &   + kmyp * ( v(k,j+1,i) - v(k,j+1,i-1) ) * ddx         &
+                      &   - kmym * ( u(k,j,i) - u(k,j-1,i) ) * ddy             &
+                      &   - kmym * ( v(k,j,i) - v(k,j,i-1) ) * ddx             &
                       &   ) * ddy
              ENDDO
@@ -156,7 +151,7 @@
 
                 DO  k = nzb_u_inner(j,i)+1, nzb_u_outer(j,i)
-                   kmyp = 0.25 * &
+                   kmyp = 0.25 *                                               &
                           ( km(k,j,i)+km(k,j+1,i)+km(k,j,i-1)+km(k,j+1,i-1) )
-                   kmym = 0.25 * &
+                   kmym = 0.25 *                                               &
                           ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
 
@@ -185,16 +180,16 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25 * &
+                kmzp = 0.25 *                                                  &
                        ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                kmzm = 0.25 * &
+                kmzm = 0.25 *                                                  &
                        ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-                tend(k,j,i) = tend(k,j,i)                                    &
-                      & + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1) &
-                      &            + ( w(k,j,i)   - w(k,j,i-1) ) * ddx       &
-                      &            )                                         &
-                      &   - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k) &
-                      &            + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx     &
-                      &            )                                          &
+                tend(k,j,i) = tend(k,j,i)                                      &
+                      & + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)   &
+                      &            + ( w(k,j,i)   - w(k,j,i-1) ) * ddx         &
+                      &            )                                           &
+                      &   - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
+                      &            + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
+                      &            )                                           &
                       &   ) * ddzw(k)
              ENDDO
@@ -206,5 +201,5 @@
 !--          Difference quotient of the momentum flux is not formed over half
 !--          of the grid spacing (2.0*ddzw(k)) any more, since the comparison
-!--          with other (LES) modell showed that the values of the momentum
+!--          with other (LES) models showed that the values of the momentum
 !--          flux becomes too large in this case.
 !--          The term containing w(k-1,..) (see above equation) is removed here
@@ -214,14 +209,14 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25 * &
+                kmzp = 0.25 *                                                  &
                       ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                kmzm = 0.25 * &
+                kmzm = 0.25 *                                                  &
                       ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-                tend(k,j,i) = tend(k,j,i)                                    &
-                      & + ( kmzp * ( w(k,j,i)   - w(k,j,i-1)   ) * ddx       &
-                      &   ) * ddzw(k)                                        &
-                      & + ( kmzp * ( u(k+1,j,i) - u(k,j,i)     ) * ddzu(k+1) &
-                      &   + usws(j,i)                                        &
+                tend(k,j,i) = tend(k,j,i)                                      &
+                      & + ( kmzp * ( w(k,j,i)   - w(k,j,i-1)   ) * ddx         &
+                      &   ) * ddzw(k)                                          &
+                      & + ( kmzp * ( u(k+1,j,i) - u(k,j,i)     ) * ddzu(k+1)   &
+                      &   + usws(j,i)                                          &
                       &   ) * ddzw(k)
              ENDIF
@@ -234,14 +229,14 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25 * &
+                kmzp = 0.25 *                                                  &
                        ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                kmzm = 0.25 * &
+                kmzm = 0.25 *                                                  &
                        ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-                tend(k,j,i) = tend(k,j,i)                                    &
-                      & - ( kmzm * ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
-                      &   ) * ddzw(k)                                        &
-                      & + ( -uswst(j,i)                                      &
-                      &   - kmzm * ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
+                tend(k,j,i) = tend(k,j,i)                                      &
+                      & - ( kmzm * ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx         &
+                      &   ) * ddzw(k)                                          &
+                      & + ( -uswst(j,i)                                        &
+                      &   - kmzm * ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)     &
                       &   ) * ddzw(k)
              ENDIF
@@ -258,15 +253,31 @@
     SUBROUTINE diffusion_u_acc
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, ddzw, km, tend, u, usws, uswst, v, w
+       
+       USE control_parameters,                                                 &
+           ONLY:  constant_top_momentumflux, topography, use_surface_fluxes,   &
+                  use_top_fluxes
+       
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddx2, ddy, fym, fyp, wall_u
+       
+       USE indices,                                                            &
+           ONLY:  i_left, i_right, j_north, j_south, nxl, nxr, nyn, nys, nzb,  &
+                  nzb_diff_u, nzb_u_inner, nzb_u_outer, nzt, nzt_diff
+       
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  kmym, kmyp, kmzm, kmzp
-
-       REAL, DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs
+       INTEGER(iwp) ::  i     !: 
+       INTEGER(iwp) ::  j     !: 
+       INTEGER(iwp) ::  k     !: 
+       REAL(wp)     ::  kmym  !:
+       REAL(wp)     ::  kmyp  !:
+       REAL(wp)     ::  kmzm  !:
+       REAL(wp)     ::  kmzp  !:
+
+       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs  !: 
        !$acc declare create ( usvs )
 
@@ -275,10 +286,10 @@
 !--    if neccessary
        IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes_acc( usvs, 1.0, 0.0, 0.0, 0.0, nzb_u_inner, &
-                                nzb_u_outer, wall_u )
-       ENDIF
-
-       !$acc kernels present ( u, v, w, km, tend, usws, uswst )   &
-       !$acc         present ( ddzu, ddzw, fym, fyp, wall_u )           &
+          CALL wall_fluxes_acc( usvs, 1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,          &
+                                nzb_u_inner, nzb_u_outer, wall_u )
+       ENDIF
+
+       !$acc kernels present ( u, v, w, km, tend, usws, uswst )                &
+       !$acc         present ( ddzu, ddzw, fym, fyp, wall_u )                  &
        !$acc         present ( nzb_u_inner, nzb_u_outer, nzb_diff_u )
        DO  i = i_left, i_right
@@ -290,7 +301,7 @@
 !
 !--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmyp = 0.25 * &
+                   kmyp = 0.25 *                                               &
                           ( km(k,j,i)+km(k,j+1,i)+km(k,j,i-1)+km(k,j+1,i-1) )
-                   kmym = 0.25 * &
+                   kmym = 0.25 *                                               &
                           ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
 
@@ -311,10 +322,10 @@
 !--          Wall functions at the north and south walls, respectively
              DO  k = 1, nzt
-                IF( k > nzb_u_inner(j,i)  .AND.  k <= nzb_u_outer(j,i)  .AND. &
+                IF( k > nzb_u_inner(j,i)  .AND.  k <= nzb_u_outer(j,i)  .AND.  &
                     wall_u(j,i) /= 0.0 )  THEN
 
-                   kmyp = 0.25 * &
+                   kmyp = 0.25 *                                               &
                           ( km(k,j,i)+km(k,j+1,i)+km(k,j,i-1)+km(k,j+1,i-1) )
-                   kmym = 0.25 * &
+                   kmym = 0.25 *                                               &
                           ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
 
@@ -344,7 +355,7 @@
 !
 !--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmzp = 0.25 * &
+                   kmzp = 0.25 *                                               &
                           ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                   kmzm = 0.25 * &
+                   kmzm = 0.25 *                                               &
                           ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
@@ -369,5 +380,5 @@
 !--    Difference quotient of the momentum flux is not formed over half
 !--    of the grid spacing (2.0*ddzw(k)) any more, since the comparison
-!--    with other (LES) modell showed that the values of the momentum
+!--    with other (LES) models showed that the values of the momentum
 !--    flux becomes too large in this case.
 !--    The term containing w(k-1,..) (see above equation) is removed here
@@ -381,14 +392,14 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25 * &
+                kmzp = 0.25 *                                                  &
                       ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                kmzm = 0.25 * &
+                kmzm = 0.25 *                                                  &
                       ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-                tend(k,j,i) = tend(k,j,i)                                    &
-                      & + ( kmzp * ( w(k,j,i)   - w(k,j,i-1)   ) * ddx       &
-                      &   ) * ddzw(k)                                        &
-                      & + ( kmzp * ( u(k+1,j,i) - u(k,j,i)     ) * ddzu(k+1) &
-                      &   + usws(j,i)                                        &
+                tend(k,j,i) = tend(k,j,i)                                      &
+                      & + ( kmzp * ( w(k,j,i)   - w(k,j,i-1)   ) * ddx         &
+                      &   ) * ddzw(k)                                          &
+                      & + ( kmzp * ( u(k+1,j,i) - u(k,j,i)     ) * ddzu(k+1)   &
+                      &   + usws(j,i)                                          &
                       &   ) * ddzw(k)
              ENDDO
@@ -409,14 +420,14 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25 * &
+                kmzp = 0.25 *                                                  &
                        ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                kmzm = 0.25 * &
+                kmzm = 0.25 *                                                  &
                        ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-                tend(k,j,i) = tend(k,j,i)                                    &
-                      & - ( kmzm * ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
-                      &   ) * ddzw(k)                                        &
-                      & + ( -uswst(j,i)                                      &
-                      &   - kmzm * ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
+                tend(k,j,i) = tend(k,j,i)                                      &
+                      & - ( kmzm * ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx         &
+                      &   ) * ddzw(k)                                          &
+                      & + ( -uswst(j,i)                                        &
+                      &   - kmzm * ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)     &
                       &   ) * ddzw(k)
              ENDDO
@@ -434,15 +445,29 @@
     SUBROUTINE diffusion_u_ij( i, j )
 
-       USE arrays_3d
-       USE control_parameters
-       USE grid_variables
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, ddzw, km, tend, u, usws, uswst, v, w
+       
+       USE control_parameters,                                                 &
+           ONLY:  constant_top_momentumflux, use_surface_fluxes, use_top_fluxes
+       
+       USE grid_variables,                                                     &
+           ONLY:  ddx, ddx2, ddy, fym, fyp, wall_u
+       
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_diff_u, nzb_u_inner, nzb_u_outer, nzt, nzt_diff
+       
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  kmym, kmyp, kmzm, kmzp
-
-       REAL, DIMENSION(nzb:nzt+1) ::  usvs
+       INTEGER(iwp) ::  i     !: 
+       INTEGER(iwp) ::  j     !: 
+       INTEGER(iwp) ::  k     !: 
+       REAL(wp)     ::  kmym  !:
+       REAL(wp)     ::  kmyp  !:
+       REAL(wp)     ::  kmzm  !:
+       REAL(wp)     ::  kmzp  !:
+
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  usvs  !: 
 
 !
@@ -454,13 +479,13 @@
           kmym = 0.25 * ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
 
-          tend(k,j,i) = tend(k,j,i)                                          &
-                      & + 2.0 * (                                            &
-                      &           km(k,j,i)   * ( u(k,j,i+1) - u(k,j,i)   )  &
-                      &         - km(k,j,i-1) * ( u(k,j,i)   - u(k,j,i-1) )  &
-                      &         ) * ddx2                                     &
-                      & + ( kmyp * ( u(k,j+1,i) - u(k,j,i)     ) * ddy       &
-                      &   + kmyp * ( v(k,j+1,i) - v(k,j+1,i-1) ) * ddx       &
-                      &   - kmym * ( u(k,j,i) - u(k,j-1,i) ) * ddy           &
-                      &   - kmym * ( v(k,j,i) - v(k,j,i-1) ) * ddx           &
+          tend(k,j,i) = tend(k,j,i)                                            &
+                      & + 2.0 * (                                              &
+                      &           km(k,j,i)   * ( u(k,j,i+1) - u(k,j,i)   )    &
+                      &         - km(k,j,i-1) * ( u(k,j,i)   - u(k,j,i-1) )    &
+                      &         ) * ddx2                                       &
+                      & + ( kmyp * ( u(k,j+1,i) - u(k,j,i)     ) * ddy         &
+                      &   + kmyp * ( v(k,j+1,i) - v(k,j+1,i-1) ) * ddx         &
+                      &   - kmym * ( u(k,j,i) - u(k,j-1,i) ) * ddy             &
+                      &   - kmym * ( v(k,j,i) - v(k,j,i-1) ) * ddx             &
                       &   ) * ddy
        ENDDO
@@ -472,6 +497,6 @@
 !
 !--       Calculate the horizontal momentum flux u'v'
-          CALL wall_fluxes( i, j, nzb_u_inner(j,i)+1, nzb_u_outer(j,i),  &
-                            usvs, 1.0, 0.0, 0.0, 0.0 )
+          CALL wall_fluxes( i, j, nzb_u_inner(j,i)+1, nzb_u_outer(j,i),        &
+                            usvs, 1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp )
 
           DO  k = nzb_u_inner(j,i)+1, nzb_u_outer(j,i)
@@ -506,11 +531,11 @@
           kmzm = 0.25 * ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-          tend(k,j,i) = tend(k,j,i)                                          &
-                      & + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1) &
-                      &            + ( w(k,j,i)   - w(k,j,i-1) ) * ddx       &
-                      &            )                                         &
-                      &   - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k) &
-                      &            + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx     &
-                      &            )                                         &
+          tend(k,j,i) = tend(k,j,i)                                            &
+                      & + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)   &
+                      &            + ( w(k,j,i)   - w(k,j,i-1) ) * ddx         &
+                      &            )                                           &
+                      &   - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
+                      &            + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
+                      &            )                                           &
                       &   ) * ddzw(k)
        ENDDO
@@ -522,5 +547,5 @@
 !--    Difference quotient of the momentum flux is not formed over half of
 !--    the grid spacing (2.0*ddzw(k)) any more, since the comparison with 
-!--    other (LES) modell showed that the values of the momentum flux becomes
+!--    other (LES) models showed that the values of the momentum flux becomes
 !--    too large in this case.
 !--    The term containing w(k-1,..) (see above equation) is removed here
@@ -533,9 +558,9 @@
           kmzm = 0.25 * ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-          tend(k,j,i) = tend(k,j,i)                                          &
-                      & + ( kmzp * ( w(k,j,i)   - w(k,j,i-1)   ) * ddx       &
-                      &   ) * ddzw(k)                                        &
-                      & + ( kmzp * ( u(k+1,j,i) - u(k,j,i)     ) * ddzu(k+1) &
-                      &   + usws(j,i)                                        &
+          tend(k,j,i) = tend(k,j,i)                                            &
+                      & + ( kmzp * ( w(k,j,i)   - w(k,j,i-1)   ) * ddx         &
+                      &   ) * ddzw(k)                                          &
+                      & + ( kmzp * ( u(k+1,j,i) - u(k,j,i)     ) * ddzu(k+1)   &
+                      &   + usws(j,i)                                          &
                       &   ) * ddzw(k)
        ENDIF
@@ -548,14 +573,14 @@
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
-          kmzp = 0.25 * &
+          kmzp = 0.25 *                                                        &
                  ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-          kmzm = 0.25 * &
+          kmzm = 0.25 *                                                        &
                  ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-          tend(k,j,i) = tend(k,j,i)                                          &
-                      & - ( kmzm * ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
-                      &   ) * ddzw(k)                                        &
-                      & + ( -uswst(j,i)                                      &
-                      &   - kmzm * ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
+          tend(k,j,i) = tend(k,j,i)                                            &
+                      & - ( kmzm * ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx         &
+                      &   ) * ddzw(k)                                          &
+                      & + ( -uswst(j,i)                                        &
+                      &   - kmzm * ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)     &
                       &   ) * ddzw(k)
        ENDIF
